# Class Warehouse

java.lang.Object
com.databricks.jdbc.common.Warehouse

All Implemented Interfaces:
  `IDatabricksComputeResource`

public class Warehouse extends Object implements IDatabricksComputeResource

## Constructor Summary

Constructors
Constructor
Description
`Warehouse(String warehouseId)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getUniqueIdentifier()`
`String`
`getWarehouseId()`
`String`
`getWorkspaceId()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Warehouse

public Warehouse(String warehouseId)

## Method Details

### getWarehouseId

public String getWarehouseId()

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getWorkspaceId

public String getWorkspaceId()

Specified by:
  `getWorkspaceId` in interface `IDatabricksComputeResource`

### getUniqueIdentifier

public String getUniqueIdentifier()

Specified by:
  `getUniqueIdentifier` in interface `IDatabricksComputeResource`